## org.eclipse.emf.common.util
Class BasicEMap.BasicEMapKeyIterator

    java.lang.Object
      org.eclipse.emf.common.util.BasicEMap.BasicEMapIterator<K>
          org.eclipse.emf.common.util.BasicEMap.BasicEMapKeyIterator

All Implemented Interfaces:
  java.util.Iterator<K>

Enclosing class:
  BasicEMap<K,V>

    protected class BasicEMap.BasicEMapKeyIterator

extends BasicEMap.BasicEMapIterator<K>

An iterator over the map key data.

Field Summary

Fields inherited from class org.eclipse.emf.common.util.BasicEMap.BasicEMapIterator
`cursor, entryCursor, expectedModCount, lastCursor, lastEntryCursor`

Method Summary
`protected K` `yield(BasicEMap.Entry<K,V> entry)` Called to yield the iterator result for the entry.

Methods inherited from class org.eclipse.emf.common.util.BasicEMap.BasicEMapIterator
`hasNext, next, remove, scan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### yield

    protected K yield(BasicEMap.Entry<K,V> entry)

  Called to yield the iterator result for the entry. This implementation returns the key of the entry.

  Overrides:
    `yield` in class `BasicEMap.BasicEMapIterator<K>`
  Parameters:
    `entry` - the entry.
  Returns:
    the key of the entry.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.